## ubuntu-drivers-common 0.4.11

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.11) wily; urgency=medium

  * gpu-manager.c:
    - Rely on /var/log/syslog to get information about unloaded modules.
      This should minimise the current slowdown on boot (LP: #1307069).
    - Switch from intel to modesetting as the default driver on hybrid
      intel/nvidia systems because of a regression in the intel driver
      (LP: #1507676).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 19 Oct 2015 17:35:12 +0200

ubuntu-drivers-common (1:0.4.10) wily; urgency=medium

  * debian/tests/system: Drop the nvidia package tests; they are now tested
    through autodep8 on every kernel and dkms change, so we don't have to rely
    on this hard to maintain autopkgtest any more. Also drop most other driver
    package tests for the same reason; just keep the "fglrx" test to get a
    full end-to-end test with "ubuntu-drivers".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Sep 2015 11:27:33 +0200

ubuntu-drivers-common (1:0.4.9) wily; urgency=medium

  * tests/ubuntu_drivers.py: Reset the apt.Cache() cache between tests, as
    this is unreliable with tests that keep switching apt's root directory.
    (LP: #1487223)
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Sep 2015 07:47:21 +0200

ubuntu-drivers-common (1:0.4.8) wily; urgency=medium

  [ Alberto Milone ]
  * share/hybrid/gpu-manager.c, tests/gpu-manager.py:
    - Use SNA in powersaving mode for pxpress, and keep UXA
      only for performance mode (where it's required). This
      fixes a number of HWE issues (e.g. LP: #1472972).
  * Quirks/quirkreader.py:
    - Set the encoding when opening the file. This fixes a
      crash in Wily.

  [ Martin Pitt ]
  * debian/rules: Ensure that $PATH includes /sbin:/usr/sbin, as the tests
    require several programs from that (e. g. modinfo, aptd). Fixes FTBFS due
    to test failures. (LP: #1487223)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 Sep 2015 16:59:42 +0200

ubuntu-drivers-common (1:0.4.7) wily; urgency=medium

  * gpu-manager.c:
    - Check that we have write access to the log. If writing to
      the log fails, we show a warning, and use stdout instead.
      (LP: #1298693)

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 07 Aug 2015 10:40:23 +0200

ubuntu-drivers-common (1:0.4.6) wily; urgency=medium

  * gpu-manager.c, gpu-manager.py:
    - Use the amdconfig tool to configure multi-amd PXpress. This
      fixes a problem where the AMD control panel won't show an
      option to switch between power saving mode and performance
      mode on AMD+AMD hybrid systems (LP: #1410801).
    - The tests now reflect a more relaxed approach so that we
      do not overwrite configurations that are not supported (such
      as multiple xscreens set in the xorg.conf).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 08 May 2015 16:42:32 +0200
