## ubuntu-drivers-common 0.4.17

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.17) xenial; urgency=medium

  * tests/ubuntu_drivers.py: Allow test_system_driver_packages_performance()
    90s on ARM, as 30s is not enough on slow buildds.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Apr 2016 11:03:37 +0200

ubuntu-drivers-common (1:0.4.16) xenial; urgency=medium

  * debian/tests/system: Drop test_fglrx() as the fglrx driver is gone.
    Test bcmwl instead.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 04 Mar 2016 11:07:02 +0100

ubuntu-drivers-common (1:0.4.15) xenial; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for managing EGL alternatives.
    - Make sure to load and to unload the new nvidia-modeset module for
      prime.
  * 71-u-d-c-gpu-detection.rules, u-d-c-print-pci-ids:
    - Fix fglrx detection.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 28 Jan 2016 17:29:27 +0100

ubuntu-drivers-common (1:0.4.14) xenial; urgency=medium

  * gpu-manager.{c|py}:
    - Rely on udev for card detection. This helps detecting if a module
      was unloaded or if a card was disabled on a hybrid system.
      In addition to being more accurate (LP: #1485236), this should also
      be much faster on boot (LP: #1307069).
    - Restrict the search for built modules to the dkms directory. This
      improves performance.
  * debian/rules, setup.py, 71-u-d-c-gpu-detection.rules,
    u-d-c-print-pci-ids:
    - Provide a udev rule to detect cards and modules.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 13 Jan 2016 10:35:18 +0100

ubuntu-drivers-common (1:0.4.13) xenial; urgency=medium

  * Depend on liblocale-gettext-perl for autopkgtest, forcing it not to be
    dropped during Perl transitions (thereby breaking the fglrx test) due to
    pinning only necessary packages from -proposed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Dec 2015 05:22:18 +0000

ubuntu-drivers-common (1:0.4.12) xenial; urgency=medium

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py:
    - Make modalias matching case insensitive (LP: #1500591).

  [ Martin Pitt ]
  * debian/tests/system: Explicitly require version 1.0 of UMockdev, to avoid
    a warning on stderr.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Oct 2015 11:03:09 +0100
