=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,15 @@
 	$(call py3sdo, setup.py clean)
 
 override_dh_install:
-	dh_install --fail-missing -Xlib/systemd
+	dh_install --fail-missing -Xlib/systemd -Xsbin -Xlib/udev
 
-	# on architectures where we build gpu-manager, install the systemd unit
+	# on architectures where we build gpu-manager, install the systemd unit,
+	# the udev rule, and the script for gpu detection
 	if [ -d debian/tmp/lib/systemd ]; then \
 		dh_install -p ubuntu-drivers-common lib/systemd; \
 		dh_systemd_enable -p ubuntu-drivers-common; \
+		dh_install -p ubuntu-drivers-common lib/udev/rules.d; \
+		dh_install -p ubuntu-drivers-common sbin; \
 	fi
 
 	# build dh_modaliases manpage
