## ubuntu-drivers-common 0.4.17.7

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.17.7) xenial-security; urgency=medium

  * Drop the cpu-microcode.py detection plugin, as exposing microcode
    packages will not be necessary once kernel metapackages have a hard
    dependency on them
    - remove detect-plugins/cpu-microcode.py
    - update UbuntuDrivers/detect.py

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 30 Jan 2018 13:58:58 +0000

ubuntu-drivers-common (1:0.4.17.6) xenial-proposed; urgency=medium

  * tests/ubuntu_drivers.py:
    - Skip test_system_modaliases_system on s390x.
      Fixes FTBFS (LP: #1728547).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 22 Jan 2018 12:48:54 +0100

ubuntu-drivers-common (1:0.4.17.5) xenial-proposed; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.{c|py}:
    - Drop the amdgpu-pro code introduced in the previous upload,
      as it will be dealt with in a different upload.

  [ Alex Tu ]
  * gpu-manager.c:
    - Skip bbswitch, and make sure to unload the nvidia driver when
      the force-dgpu-on option is enabled (LP: #1728547).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Jan 2018 12:33:56 +0100

ubuntu-drivers-common (1:0.4.17.4) xenial-proposed; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.{c|py}:
    - Add support for forcing the dGPU on on hybrid systems.
      Creating an empty file named "force-dgpu-on"
      in the /usr/share/gpu-manager.d directory will force the dGPU
      on in power saving mode (LP: #1728547).
    - Sync amdgpu-pro support from 17.10.

  [ Kai-Heng Feng ]
  * debian/control:
    - Add build dependency on libkmod-dev.
  * gpu-manager.c:
    - Detect and handle switchable graphics with the amdgpu-pro driver.
      AMDGPU-Pro has its own script to switch between powersaving and
      performance mode (LP: #1731873).
      Some machines allow enabling switchable graphics, or disabling
      the iGPU completely, thus leaving only the dGPU on. This new code
      simply detects the different profiles supported by AMD, and
      enables powersaving mode when possible.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 Oct 2017 15:48:27 +0100

ubuntu-drivers-common (1:0.4.17.3) xenial-proposed; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for using custom xorg.confs with the nvidia
      driver (LP: #1667198).
      Custom xorg files can be named "non-hybrid" (for non hybrid
      systems), "hybrid-performance", and "hybrid-power-saving",
      and will have to placed in the /usr/share/gpu-manager.d
      directory.
      The directory can be overridden by passing another directory
      along with the "--custom-xorg-conf-path" parameter.
    - Add tests for the custom xorg.confs code and for amdgpu-pro
      hybrid support.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 19 Jun 2017 17:27:33 +0200

ubuntu-drivers-common (1:0.4.17.2) xenial-proposed; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Fix memory leak in get_alternatives(). Make sure to always free
      alternatives->current_core and alternatives->current_egl.
    - Partially drop the drm code, and get information about connectors
      from sysf. This fixes a long standing performance issue (LP: #1586933).
    - Disable persistence mode before powering down the dGPU.
      If persistence mode is not disabled, gpu-manager will not be able to
      unload the nvidia module (LP: #1619306).
    - Make sure to load and unload nvidia-drm. This fixes a problem that
      prevents the dGPU from being powered off in hybrid systems with
      recent nvidia drivers (LP: #1619306).

  [ Ying-Chun Liu (PaulLiu) ]
  * Quirks/quirkinfo.py:
    - Catch and ignore UnicodeDecodeErrors in dmi info, as some machines
      may report board_name as ffffffffffff0a to mean empty, and this
      causes an error in python 3 (LP: #1320868).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 06 Jun 2016 12:49:19 +0200

ubuntu-drivers-common (1:0.4.17.1) xenial-proposed; urgency=medium

  * gpu-manager.c:
    - Pass the arguments in the correct order when getting
      the list of alternatives (LP: #1575960).
      Thanks to Rafał Cieślak for the fix.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 29 Apr 2016 12:29:03 +0200
