## ubuntu-drivers-common 0.4.22

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.22) yakkety; urgency=medium

  * gpu-manager.c:
    - Disable persistence mode before powering down the dGPU.
      If persistence mode is not disabled, gpu-manager will not be able to
      unload the nvidia module.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 31 Aug 2016 18:09:25 +0200

ubuntu-drivers-common (1:0.4.21) yakkety; urgency=medium

  * gpu-manager.c:
    - Make sure to load and unload the new nvidia-drm module.
      This fixes a problem that prevents the dGPU from being powered off
      in hybrid systems with recent nvidia drivers.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 31 Aug 2016 11:47:13 +0200

ubuntu-drivers-common (1:0.4.20) yakkety; urgency=medium

  * Remove PackageKit plugin. This stopped working with packagekit 1.0 as its
    apt backend is gone and aptcc does not support plugins.
  * debian/control: Drop obsolete XS-Testsuite:.
  * Bump Standards-Version to 3.9.8.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2016 11:46:36 +0200

ubuntu-drivers-common (1:0.4.19) yakkety; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Fix memory leak in get_alternatives(). Make sure to always free
      alternatives->current_core and alternatives->current_egl.
    - Partially drop the drm code, and get information about connectors
      from sysf. This fixes a long standing performance issue (LP: #1586933).

  [ Ying-Chun Liu (PaulLiu) ]
  * Quirks/quirkinfo.py:
    - Catch and ignore UnicodeDecodeErrors in dmi info, as some machines
      may report board_name as ffffffffffff0a to mean empty, and this
      causes an error in python 3 (LP: #1320868).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 May 2016 16:17:42 +0200

ubuntu-drivers-common (1:0.4.18) yakkety; urgency=medium

  * gpu-manager.c:
    - Pass the arguments in the correct order when getting
      the list of alternatives (LP: #1575960).
      Thanks to Rafał Cieślak for the fix.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 29 Apr 2016 12:29:03 +0200
