## ubuntu-drivers-common 0.4.23.3

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.23.3) artful-security; urgency=medium

  * tests/ubuntu_drivers.py:
    - Skip test_system_modaliases_system on s390x to fix FTBFS.

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 01 Feb 2018 09:39:11 +0000

ubuntu-drivers-common (1:0.4.23.2) artful-security; urgency=medium

  * Drop the cpu-microcode.py detection plugin, as exposing microcode
    packages will not be necessary once kernel metapackages have a hard
    dependency on them
    - remove detect-plugins/cpu-microcode.py
    - update UbuntuDrivers/detect.py

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 30 Jan 2018 13:54:59 +0000

ubuntu-drivers-common (1:0.4.23.1) artful-proposed; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for forcing the dGPU on on hybrid systems.
      Creating an empty file named "force-dgpu-on"
      in the /usr/share/gpu-manager.d directory will force the dGPU
      on in power saving mode (LP: #1728547).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 Oct 2017 10:25:02 +0100
