=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
  udev,
  pciutils,
  libdrm-dev,
- python3-dbus
+ python3-dbus,
+ libkmod-dev,
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common
