## ubuntu-drivers-common 0.5.2

=== debian/changelog ===
ubuntu-drivers-common (1:0.5.2) bionic; urgency=medium

  * gpu-manager.c:
    - Disable CRT connectors for PRIME, as we used to
      do in 17.10. This solves a problem with phantom
      connectors on hybrid systems (LP: #1762200).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 20 Apr 2018 17:07:28 +0200

ubuntu-drivers-common (1:0.5.1) bionic; urgency=medium

  * debian/control:
    - Build depend on dh-python.
    - Drop dh-systemd, and use debhelper (>= 9.20160709).
  * tests/ubuntu_drivers.py:
    - Raise time to 40.0 for i386 in
      test_system_driver_packages_performance().
  * NvidiaDetector/nvidiadetector.py:
    - Fix crash with new name scheme of the NVIDIA
      packages (LP: #1054458).
  * gpu-manager.(c|py):
    - Create a xorg.conf.d file for systems with PRIME.
      This way we can drop the PrimaryGpu option from
      the main NVIDIA configuration xorg.conf.d snippet,
      and generate an additional custom snippet on demand
      with that option, to avoid causing problems on systems
      with multiple NVIDIA GPUs (LP: #1756226).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Apr 2018 16:35:07 +0200

ubuntu-drivers-common (1:0.5) bionic; urgency=medium

  * gpu-manager.{c|py}:
    - Drop all the code to handle driver configuration, which
      stopped working after we moved away from alternatives.
      Only keep telling the system whether PRIME is supported
      or not (LP: #1757180).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 22 Mar 2018 18:35:19 +0100

ubuntu-drivers-common (1:0.4.27) bionic; urgency=medium

  [ Chris Coulson ]
  * detect-plugins/cpu-microcode.py, UbuntuDrivers/detect.py:
    - Remove the cpu-microcode.py detection plugin (LP: #1738259).
      Kernel metapackages are going to have a hard dependency on the
      {intel,amd64}-microcode packages to ensure that all bare-metal installs
      benefit from microcode updates. This means that microcode packages are
      no longer "additional drivers" and since they won't be able to be removed
      without uninstalling the kernel metapackages, there is no need for them
      to be exposed by ubuntu-drivers.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 02 Feb 2018 09:38:35 +0100

ubuntu-drivers-common (1:0.4.26) bionic; urgency=medium

  * tests/gpu-manager.py:
    - It is ok that quirks are still be detected, even though bbswitch
      won't use them, as it's not being loaded. Fixes FTFS.
    - Skip test_system_modaliases_system on s390x.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 01 Feb 2018 16:22:00 +0100

ubuntu-drivers-common (1:0.4.25) bionic; urgency=medium

  [ Alex Tu ]
  * gpu-manager.c:
    - Skip bbswitch, and make sure to unload the nvidia driver when
      the force-dgpu-on option is enabled (LP: #1728547).

  [ Bryan Quigley ]
  * debian/rules,
    debian/ubuntu-drivers-common.install,
    setup.py,
    share/hybrid/gpu-manager.conf:
    - Remove the remaing upstart pieces.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Jan 2018 12:51:48 +0100

ubuntu-drivers-common (1:0.4.24) bionic; urgency=medium

  * gpu-manager.{c|py}:
    - Add support for forcing the dGPU on on hybrid systems.
      Creating an empty file named "force-dgpu-on"
      in the /usr/share/gpu-manager.d directory will force the dGPU
      on in power saving mode (LP: #1728547).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 Oct 2017 10:25:02 +0100
