## ubuntu-drivers-common 0.5.2.5

=== debian/changelog ===
ubuntu-drivers-common (1:0.5.2.5) bionic; urgency=medium

  * ubuntu-drivers:
    - Make sure that the PATH environment variable is set (LP: #1854472).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 02 Dec 2019 10:31:00 +0100

ubuntu-drivers-common (1:0.5.2.4) bionic; urgency=medium

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py,
    tests/ubuntu_drivers.py,
    ubuntu-drivers:
    - Provide DKMS fallback for the "install --gpgpu" case
      when no linux-modules-nvidia are available for the driver
      and for a specific kernel (LP: #1843796).
      We have new tests to cover this scenario now.
    - Show provider of kernel modules in list --gpgpu
    - Fix linux metapackage detection.
      This was meant to be driven by the latest kernel version
      But it was only partially implemented.
      Complete the implementation and update the relevant tests.
    - Make sure to install the linux-modules-nvidia package for the
      kernel flavour in use, when passing the --gpgpu argument, so
      that we can deliver a working NVIDIA installation, provided
      that the EULA was accepted.

  [ Jean-Baptiste Lallement ]
  * ubuntu-drivers,
    UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py:
    - Add a --free-only parameter, so as to allow installing only the
     available free drivers. This is a backport of only the
     ubuntu-drivers-common specific part of LP: #1819207, since
     it is tied to the rest of the changes to the test suite.
    - Add support for testing against a fake archive with free and
      non-free components.
    - Add static code checker.
  * debian/control:
    - Add pycodestyle and pyflake8 to build depends.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 17 Sep 2019 16:34:56 +0200

ubuntu-drivers-common (1:0.5.2.3) bionic; urgency=medium

  * tests/ubuntu_drivers.py,
    UbuntuDrivers/detect.py,
    ubuntu-drivers:
    - Deprecate the "autoinstall" parameter in favour of
      "install". While "autoinstall" will still work,
      we recommend the latter.
    - Add support to for the --gpgpu parameter (LP: #1819729).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 12 Mar 2019 16:31:04 +0100

ubuntu-drivers-common (1:0.5.2.2) bionic; urgency=medium

  * gpu-manager.c:
    - Improve pid detection, and restore the default pci
      power control profile in performance mode (LP: #1797147).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 10 Oct 2018 17:01:27 +0200

ubuntu-drivers-common (1:0.5.2.1) bionic; urgency=medium

  * debian/rules:
    - Make sure to remove "__pycache__" directory.
  * debian/source/options:
    - Ignore the "__pycache__" directory.
  * gpu-manager.(c|py):
    - Set automatic pci power management when the dGPU is disabled (LP: #1778011).
    - Load the nvidia modules when switching to performance mode.
    - Do not skip unbound devices.
    - Make remove_prime_outputclass() void.
    - Report failures in enable_power_management().
    - Look for blacklisted modules in /lib/modprobe.d too.
    - Report failure when the nvidia modules cannot be unloaded,
      kill the main display session created by gdm3, and try
      unloading the nvidia modules once again.
  * gpu-manager.service:
    - Start before oem-config.service (LP: #1789201).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 02 Aug 2018 15:45:42 +0200
