## ubuntu-drivers-common 0.5.5

=== debian/changelog ===
ubuntu-drivers-common (1:0.5.5) cosmic; urgency=medium

  *  gpu-manager.c:
    - Improve pid detection, and restore the default pci
      power control profile in performance mode (LP: #1778011).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 28 Sep 2018 11:19:26 +0200

ubuntu-drivers-common (1:0.5.4) cosmic; urgency=medium

  * debian/source/options:
      - Ignore "__pycache__" dir.
  * debian/rules:
    - Make sure to remove all the "__pycache__" directories.
  * gpu-manager.c:
      - Fix potential issue introduced in commit
        6770360ed3324358d9069c7468a3af80219157ef.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 18 Sep 2018 14:38:12 +0200

ubuntu-drivers-common (1:0.5.3) cosmic; urgency=medium

  * gpu-manager.(c|py):
    - Set automatic pci power management when the dGPU is disabled (LP: #1778011).
    - Load the nvidia modules when switching to performance mode.
    - Do not skip unbound devices.
    - Make remove_prime_outputclass() void.
    - Report failures in enable_power_management().
    - Look for blacklisted modules in /lib/modprobe.d too.
    - Report failure when the nvidia modules cannot be unloaded,
      kill the main display session created by gdm3, and try
      unloading the nvidia modules once again.
  * gpu-manager.service:
    - Start before oem-config.service.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 02 Aug 2018 15:45:42 +0200
