## ubuntu-drivers-common 0.6.3

=== debian/changelog ===
ubuntu-drivers-common (1:0.6.3) disco; urgency=medium

  [ Jean-Baptiste Lallement ]
  * ubuntu-drivers,
    UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py:
    - Add a --free-only parameter, so as to allow installing only the
     available free drivers (LP: #1819207).
    - Add support for testing against a fake archive with free and
      non-free components.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 18 Mar 2019 16:20:49 +0100

ubuntu-drivers-common (1:0.6.2) disco; urgency=medium

  * UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py,
    ubuntu-drivers:
    - Fix argument parsing when only one argument is passed to --gpgpu.
    - Be more strict about the allowed arguments for --gpgpu (LP: #1818748).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 06 Mar 2019 15:18:26 +0100

ubuntu-drivers-common (1:0.6.1) disco; urgency=medium

  * ubuntu-drivers,
    UbuntuDrivers/detect.py:
    - Use exit status 1 if the gpgpu driver is specified and not found,
      0 if it's not specified and not found.
    - Exclude the "autoinstall" argument from the help page, and
      remove the deprecation warning.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 05 Mar 2019 18:39:13 +0100

ubuntu-drivers-common (1:0.6) disco; urgency=medium

  * ubuntu-drivers,
    tests/ubuntu_drivers.py:
    - Deprecate the "autoinstall" argument in favour of the "install" one.
    - Use umockdev more, and test metapackages.
    - Fix up tests to honour fake sys path.
    - Allow passing --gpgpu to the list parameter. This will show the
      available gpgpgu drivers.
    - Show help screen if no mandatory argument is passed.
    - Work around bug in argparse in python 3.5.5 in xenial.
  * UbuntuDrivers/detect.py:
    - Clean up the way we access the apt cache.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 30 Jan 2019 13:05:30 +0100

ubuntu-drivers-common (1:0.5.7) disco; urgency=medium

  * share/hybrid/gpu-manager.service:
    - Do not let the output through journald (LP: #1768637).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 09 Jan 2019 17:10:36 +0100

ubuntu-drivers-common (1:0.5.6) disco; urgency=medium

  * nvidia-installer-hooks/alternate-install-available,
    nvidia-installer-hooks/pre-install,
    setup.py:
    - Rather than failing with no explanation, let the
      NVIDIA installer provide instructions on how to
      install the driver from the Ubuntu archive.
    - Stop making hooks executable, since they are only
      plain text files now.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 05 Dec 2018 17:50:26 +0100
