## ubuntu-drivers-common 0.7.6

=== debian/changelog ===
ubuntu-drivers-common (1:0.7.6) eoan; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Drop prime_is_action_on() (now that it isn't on/off any more)
      and update the description.
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py,
    tests/ubuntu_drivers.py,
    ubuntu-drivers:
    - Provide DKMS fallback for the "install --gpgpu" case
      when no linux-modules-nvidia are available for the driver
      and for a specific kernel (LP: #1843796).
      We have new tests to cover this scenario now.
    - Show provider of kernel modules in list --gpgpu
    - Fix linux metapackage detection.
      This was meant to be driven by the latest kernel version
      But it was only partially implemented.
      Complete the implementation and update the relevant tests.

  [ Daniel Dadap ]
  * gpu-manager.c:
    - Enable power management in NVIDIA on-demand mode:
      The NVIDIA driver can suspend the GPU when it's being used as a
      PRIME render offload source and it isn't actively being used.
      disable_power_management() sets the NVIDIA GPU's power/control
      mode to "on", which prevents the GPU from suspending when it
      might otherwise be possible to do so.
    - Increase string storage on stack for path names. This fixes
      the warnings that gcc emits when building up path names.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 13 Sep 2019 12:38:45 +0200

ubuntu-drivers-common (1:0.7.5) eoan; urgency=medium

  [ Philip Langdale ]
  * gpu-manager.c:
    - Turn on PRIME offload when in on-demand mode.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 21 Aug 2019 16:06:34 +0200

ubuntu-drivers-common (1:0.7.4) eoan; urgency=medium

  * tests/quirkreader-test.py:
    - Fix indentation of comments.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 20 Aug 2019 19:53:11 +0200

ubuntu-drivers-common (1:0.7.3) eoan; urgency=medium

  * UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py:
    - Remove blank line, and add new line to make test_static.py happy.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 20 Aug 2019 16:22:53 +0200

ubuntu-drivers-common (1:0.7.2) eoan; urgency=medium

  * ubuntu-drivers,
    UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py:
    - Make sure to install the linux-modules-nvidia package for the
      kernel flavour in use, when passing the --gpgpu argument, so
      that we can deliver a working NVIDIA installation, provided
      that the EULA was accepted.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 20 Aug 2019 09:50:52 +0200

ubuntu-drivers-common (1:0.7.1) eoan; urgency=medium

  * debian/tests/system:
    - Do not try installing dkms packages. We already have an
      infrastructure in place to catch any such failures.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Jul 2019 17:12:12 +0200

ubuntu-drivers-common (1:0.7) eoan; urgency=medium

  * gpu-manager.c:
    - Add support for the on-demand mode for PRIME.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 09 Jul 2019 16:59:37 +0200
