## ubuntu-drivers-common 0.8

=== debian/changelog ===
ubuntu-drivers-common (1:0.8) focal; urgency=medium

  [ Iain Lane ]
  * tests:
    - Rename ubuntu_drivers.py to test_ubuntu_drivers.py.
  * UbuntuDrivers/detect.py:
    - Update oem-*-meta packages after we install them.
    - Offer oem-*-meta for installation with "ubuntu-drivers install".
    - Check for 'Modaliases' first when building modalias -> package map.
  * ubuntu-drivers:
    - Add a new 'list-oem' command.
    - Add a --no-oem flag.
    - Allow installing device specific metapackages (LP: #1866035).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 05 Mar 2020 17:06:28 +0100

ubuntu-drivers-common (1:0.7.8.1) focal; urgency=medium

  * tests/gpu-manager.py:
    - Do not test against renamed intel modules.
      We don't rename intel modules (such as i915-brw) any more.
      This fixes a test failure now that we have switched to exact
      module matching.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 20 Feb 2020 11:31:12 +0100

ubuntu-drivers-common (1:0.7.8) focal; urgency=medium

  * 71-u-d-c-gpu-detection.rules:
    - Look only for the actual nvidia module.
  * gpu-manager.c:
    - Stricter module name matching in is_module_loaded()
      (LP: #1848326).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 19 Feb 2020 13:35:12 +0100

ubuntu-drivers-common (1:0.7.7) focal; urgency=medium

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py,
    tests/ubuntu_drivers.py:
    - Rely on the linux-image metapackage to find the flavour and
      linux-modules.
      This is for cases such as linux-virtual, which depend on the
      "-generic" flavour.
    - Fix test case where the linux-modules for the ABI shouldn't have
      been available.

  [ Daniel Dadap ]
  * gpu-manager.c:
    - Add helper to remove /usr/share/X11/xorg.conf.d files.
      remove_prime_outputclass() and remove_offload_serverlayout() are
      basically the same function with different target filenames, so
      add a helper function and make both call into the new helper.
      Also give the new helper (and the original functions) a return
      type and value to inform callers of whether removal was successful.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 13 Feb 2020 12:03:24 +0100

ubuntu-drivers-common (1:0.7.6.1) focal; urgency=medium

  * Make sure that the PATH environment variable is set (LP: #1854472).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 29 Nov 2019 11:06:12 +0100
